﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Speech.Synthesis;
using System.Windows.Forms;

namespace WindowsFormsApp69
{
    public partial class Form1 : Form
    {
        SpeechSynthesizer engine = new SpeechSynthesizer();
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Students s1 = new Students();
            s1.setAge(50);
            MessageBox.Show(s1.getName());
            Student s2 = new Student();
            s2.AM = "P5678";
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Professor p1 = new Professor("Maria");
            MessageBox.Show(p1.Name);
            Professor p2 = new Professor("Efthimios");
            MessageBox.Show(p2.Name);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            Professor p = new Professor();
            p.Name = "Eleftherios";
            p.OfficeNumber = 540;

            Professor p2 = new Professor() { Name = "Evangelos" , OfficeNumber = 65};
            Professor p3 = new Professor("Evgenia") { OfficeNumber = 7665 };
            Professor p4 = new Professor("Efthymios") { Name = "Efthimios" };
            MessageBox.Show(p4.Name);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ContextMenu cm = new ContextMenu();
            cm.MenuItems.Add("First Choice",new EventHandler(eventForFirstChoice));
            cm.MenuItems.Add("Second Choice");
            cm.MenuItems.Add("Third Choice");
            button4.ContextMenu = cm;
            button2.ContextMenu = cm;
            foreach (var voice in engine.GetInstalledVoices())
            {
                comboBox1.Items.Add(voice.VoiceInfo.Name);
            }
        }
        private void eventForFirstChoice(Object o, EventArgs e)
        {
            MessageBox.Show("Your pressed the first choice!");
            Button b = (Button)((ContextMenu)((MenuItem)o).Parent).SourceControl;
            MessageBox.Show(b.Text);
        }
        private void somethingElseToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Hello");
        }

        private void button5_Click(object sender, EventArgs e)
        {
            engine.SpeakAsync(richTextBox1.Text);
        }

        private void button6_Click(object sender, EventArgs e)
        {
            StringBuilder builder = new StringBuilder();
            foreach(var voice in engine.GetInstalledVoices())
            {
                builder.Append(voice.VoiceInfo.Name).Append(Environment.NewLine);
            }
            MessageBox.Show(builder.ToString());
        }

        private void button7_Click(object sender, EventArgs e)
        {
            engine.SelectVoice(comboBox1.SelectedItem.ToString());
        }

        private void button10_Click(object sender, EventArgs e)
        {
            //MessageBox.Show(engine.Rate.ToString());
            //engine.Rate = trackBar1.Value;
            engine.Rate = -6;
        }

        private void button8_Click(object sender, EventArgs e)
        {
            if (engine.State == SynthesizerState.Speaking)
                engine.Pause();
        }

        private void button9_Click(object sender, EventArgs e)
        {
            if (engine.State == SynthesizerState.Paused)
                engine.Resume();
        }
    }
}
